Get Campaign
curl --request GET \
--url https://api.decodahealth.com/opportunity/campaign/{campaign_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/opportunity/campaign/{campaign_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/opportunity/campaign/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"locationId": "<string>",
"description": "<string>",
"platformId": "<string>",
"platformAssetId": "<string>",
"externalCampaignId": "<string>",
"externalResourceName": "<string>",
"externalName": "<string>",
"externalStatus": "<string>",
"externalCurrency": "<string>",
"externalDailyBudgetCents": 123,
"externalLifetimeBudgetCents": 123,
"externalLastSeenAt": "2023-11-07T05:31:56Z",
"externalLastSyncedAt": "2023-11-07T05:31:56Z",
"externalStaleAt": "2023-11-07T05:31:56Z",
"externalSyncError": "<string>",
"isActive": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"budgetCents": 123,
"pipelineId": "<string>",
"webhook": {
"webhookKey": "<string>",
"webhookUrl": "<string>",
"redirectUrl": "<string>"
},
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"opportunityCount": 0,
"convertedCount": 0,
"posts": [
{
"id": "<string>",
"campaignId": "<string>",
"creatorId": "<string>",
"platformId": "<string>",
"title": "<string>",
"caption": "<string>",
"ctaText": "<string>",
"ctaUrl": "<string>",
"scheduledDate": "2023-11-07T05:31:56Z",
"publishedDate": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"status": "DRAFT",
"meta": {},
"creatorName": "<string>",
"media": [
{
"id": "<string>",
"postId": "<string>",
"gcsPath": "<string>",
"fileName": "<string>",
"fileSizeBytes": 123,
"mimeType": "<string>",
"durationSeconds": 123,
"width": 123,
"height": 123,
"thumbnailGcsPath": "<string>",
"displayOrder": 0,
"altText": "<string>",
"signedUrl": "<string>"
}
],
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"promotions": [
"<unknown>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Get Campaign
Get a campaign’s detail, including its posts and opportunity/conversion counts.
GET
/
opportunity
/
campaign
/
{campaign_id}
Get Campaign
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
